org.apache.fop.fonts.cff

## Class CFFDataReader.FontDict

- java.lang.Object
- - org.apache.fop.fonts.cff.CFFDataReader.CFFSubTable
  - - org.apache.fop.fonts.cff.CFFDataReader.FontDict

Enclosing class:
  CFFDataReader

    public class CFFDataReader.FontDict
    extends CFFDataReader.CFFSubTable

### Constructor Summary

Constructors
Constructor and Description
`FontDict()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFontName()`
`CFFDataReader.CFFIndexData` `getLocalSubrData()`
`byte[]` `getPrivateDictData()`
`void` `setFontName(String groupName)`
`void` `setLocalSubrData(CFFDataReader.CFFIndexData localSubrData)`
`void` `setPrivateDictData(int position, int length)`

### Methods inherited from class org.apache.fop.fonts.cff.CFFDataReader.CFFSubTable

`getByteData, setByteData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontDict

    public FontDict()

### Method Detail

#### setFontName

    public void setFontName(String groupName)

#### getFontName

    public String getFontName()

#### setPrivateDictData

    public void setPrivateDictData(int position,
                                   int length)

#### getPrivateDictData

    public byte[] getPrivateDictData()
                              throws IOException

Throws:
  `IOException`

#### setLocalSubrData

    public void setLocalSubrData(CFFDataReader.CFFIndexData localSubrData)

#### getLocalSubrData

    public CFFDataReader.CFFIndexData getLocalSubrData()